#include <stdio.h>
#include <rpc/rpc.h>
#include "cfxdr.h"

extern XDR_element xdrfile[MAX_N_XDR_FILES];

	void
#ifdef cray
	CXDRDOUBLE( int *ixdrid, double *d )

#elif defined( hpux )
	cxdrdouble( ixdrid, d )
	int    *ixdrid;
	double	*d;

#else
	cxdrdouble_( int *ixdrid, double *d )
#endif
{
	XDR 	*xdrs;

	xdrs = xdrfile[*ixdrid].xdrs;

	if( ! xdr_double( xdrs, d )) {
		fprintf( stderr, "FXDR library error while trying to read " );
		fprintf( stderr, "a double precision number from file %s\n", 
				xdrfile[*ixdrid].filename );
		exit( -1 );
		}
}
